/*
 * Copyright 2009 ISP RAS (http://www.ispras.ru), UniTESK Lab (http://www.unitesk.com)
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

/* 
 * File: aspectrace.h
 * Description: 
 *       This file contains Aspectrace trace control interface definition.
 */

#ifndef __ASPECTRACE_H
#define __ASPECTRACE_H

#include <utils/boolean.h>

void aspectrace_addXmlTrace(const char *fileName);
void aspectrace_addTcpSocket(const char *serverHost, unsigned short serverPort);

void aspectrace_finishTracing();


void aspect_traceTagStart(const char *aspect, const char *tag, const char *parent);
void aspect_traceTagEnd  (const char *aspect, const char *tag, const char *parent);

enum MessageLevel {
	ML_FATAL, ML_ERROR, ML_WARNING, ML_INFO, ML_DEBUG
};


/* Output filters */
typedef bool (*AspectraceFilter) (const char *aspect, const char *message /*NULL for tag*/);

void aspectrace_addFilter(AspectraceFilter filter);
void aspectrace_removeFilter(AspectraceFilter filter);
void aspectrace_removeAllFilters();

/* Built-in filter by aspect */
void aspectrace_setAllowedAspects(const char *aspects, ... /*NULL-terminated list*/);
void aspectrace_setAllowedAspects_a(int count, const char **aspects);

#endif /* __ASPECTRACE_H */
